ModifyBorderGatewayAsn

1. API Description

This API (ModifyBorderGatewayAsn) is used to The API is used to modify the ASN of a border gateway.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zbgId

Yes

String

The ID of the border gateway to be modified.

asn

Yes

Integer

Autonomous System Number.

The range is from 65000 to 65534 .

Value range: [65000, 65534]

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Modify border gateway ASN.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyBorderGatewayAsn
<Common Request Params>

Request:
{
  "zbgId": "xxx",
  "asn": 65000
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated